Subject: Re: [PATCH] Avoid errors from git-rev-parse in gitweb blame

From: Jakub Narebski <[email-masked]>
Date: Tue, 3 Jun 2008 23:34:29 +0200

Dnia wtorek 3. czerwca 2008 23:27, Luben Tuikov napisał:
> --- On Tue, 6/3/08, Jakub Narebski <[email-masked]> wrote:

> > > > > +           my $parent_commit =
> > <$dd> || '';
> > 
> > By the way, here you would probably want 
> > 
> > +           my $parent_commit = <$dd> ||
> > '--root';
> > 
> > (if it works).
> 
> AFAIR, I did experiment with the "--root" parameter.  Not sure why,
> but my command line ended up without it, and thus git_blame2()
> ended up without it.
> 
> If you feel that it is, at this time having had changes commited since my
> original commit, more correct to include it, then please go ahead.

I'm sorry, I havent thought this through.  This _cannot_ work.  You can
use '--root' as 'hp' parameter to force creation commitdiff, but not as
'hp' parameter to blame.

Sorry for the confusion.
-- 
Jakub Narebski
Poland